Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.stream
Class StreamResult

    java.lang.Object
      |
      +--javax.xml.transform.stream.StreamResult

All Implemented Interfaces:
  Result

public class StreamResult
extends java.lang.Object
implements Result

Result for an output stream.

Field Summary
`static java.lang.String` | `FEATURE` The feature name to tell if the transformer can handle stream output.

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`StreamResult()` Zero-arg constructor.
`StreamResult(java.io.File file)` Create a StreamResult with a given java.io.File.
`StreamResult(java.io.OutputStream os)` Create a StreamResult with a given OutputStream.
`StreamResult(java.lang.String systemId)` Create a StreamResult from a given system id (URL)
`StreamResult(java.io.Writer writer)` Create a StreamResult with a given Writer.

Method Summary
`java.io.OutputStream` | `getOutputStream()` Returns the output stream.
`java.lang.String` | `getSystemId()` Returns the system identifier (URL).
`java.io.Writer` | `getWriter()` Returns the writer.
`void` | `setOutputStream(java.io.OutputStream os)` Sets the output stream.
`void` | `setSystemId(java.io.File file)` Sets the system identifier (URL) from a File.
`void` | `setSystemId(java.lang.String systemId)` Sets the system identifier (URL).
`void` | `setWriter(java.io.Writer writer)` Sets the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

  The feature name to tell if the transformer can handle stream output.

Constructor Detail

### StreamResult

    public StreamResult()

  Zero-arg constructor.

### StreamResult

    public StreamResult(java.io.File file)

  Create a StreamResult with a given java.io.File.
  Parameters:
    `file` - the result file for the parser.

### StreamResult

    public StreamResult(java.io.OutputStream os)

  Create a StreamResult with a given OutputStream.
  Parameters:
    `os` - the result stream.

### StreamResult

    public StreamResult(java.io.Writer writer)

  Create a StreamResult with a given Writer.
  Parameters:
    `writer` - the result writer.

### StreamResult

    public StreamResult(java.lang.String systemId)

  Create a StreamResult from a given system id (URL)
  Parameters:
    `systemId` - the base url of the stream.

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Returns the output stream.

### setOutputStream

    public void setOutputStream(java.io.OutputStream os)

  Sets the output stream.

### getWriter

    public java.io.Writer getWriter()

  Returns the writer.

### setWriter

    public void setWriter(java.io.Writer writer)

  Sets the writer.

### getSystemId

    public java.lang.String getSystemId()

  Returns the system identifier (URL).
  Specified by:
    `getSystemId` in interface `Result`
  Following copied from interface: `javax.xml.transform.Result`
  Returns:
    the system id as a URL

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Sets the system identifier (URL).
  Specified by:
    `setSystemId` in interface `Result`
  Following copied from interface: `javax.xml.transform.Result`
  Parameters:
    `systemId` - set the system id as a URL

### setSystemId

    public void setSystemId(java.io.File file)

  Sets the system identifier (URL) from a File.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD